function Create(self)
    print("Green C-4 detonated!");
    --Make sure the green C-4 list exists.
    if c4ListC ~= nil then
    	--Go through the list of green C-4.
	for i=1,#c4ListC do
	    --Make sure the C-4 still exists, it may have been destroyed.
	    if MovableMan:IsParticle(c4ListC[i]) then
	        --Detonate the C-4!
		c4ListC[i]:GibThis();
	    end
        end
    end
    --Empty/create the green C-4 list.
    c4ListC = { };
end